Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.views.properties
Class ComboBoxPropertyDescriptor

    java.lang.Object
      org.eclipse.ui.views.properties.PropertyDescriptor
          org.eclipse.ui.views.properties.ComboBoxPropertyDescriptor

All Implemented Interfaces:
  IPropertyDescriptor

public class ComboBoxPropertyDescriptor
extends PropertyDescriptor

Descriptor for a property that has a value which should be edited with a combo box cell editor. This class provides a default `ILabelProvider` that will render the label of the given descriptor as the `String` found in the value array at the currently selected index.

This class may be instantiated; it is not intended to be subclassed.

Example:

     String[] values = {"Top left", "Top right", "Bottom left", "Bottom right"};
     IPropertyDescriptor pd = new ComboBoxPropertyDescriptor("origin", "Origin", values);

Constructor Summary
`ComboBoxPropertyDescriptor(Object id, String displayName, String[] valuesArray)` Creates an property descriptor with the given id, display name, and list of value labels to display in the combo box cell editor.

Method Summary
`CellEditor` | `createPropertyEditor(Composite parent)` The `ComboBoxPropertyDescriptor` implementation of this `IPropertyDescriptor` method creates and returns a new `ComboBoxCellEditor`.
`ILabelProvider` | `getLabelProvider()` The `ComboBoxPropertyDescriptor` implementation of this `IPropertyDescriptor` method returns the value set by the `setProvider` method or, if no value has been set it returns a `ComboBoxLabelProvider` created from the valuesArray of this `ComboBoxPropertyDescriptor`.

Methods inherited from class org.eclipse.ui.views.properties.PropertyDescriptor
`getAlwaysIncompatible, getCategory, getDescription, getDisplayName, getFilterFlags, getHelpContextIds, getId, getValidator, isCompatibleWith, isLabelProviderSet, setAlwaysIncompatible, setCategory, setDescription, setFilterFlags, setHelpContextIds, setLabelProvider, setValidator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComboBoxPropertyDescriptor

    public ComboBoxPropertyDescriptor(Object id,
                                      String displayName,
                                      String[] valuesArray)

  Creates an property descriptor with the given id, display name, and list of value labels to display in the combo box cell editor.

Parameters:
  `id` - the id of the property
  `displayName` - the name to display for the property
  `valuesArray` - the list of possible values to display in the combo box

Method Detail

### createPropertyEditor

    public CellEditor createPropertyEditor(Composite parent)

  The `ComboBoxPropertyDescriptor` implementation of this `IPropertyDescriptor` method creates and returns a new `ComboBoxCellEditor`.

  The editor is configured with the current validator if there is one.

  Specified by:
    `createPropertyEditor` in interface `IPropertyDescriptor`
  Overrides:
    `createPropertyEditor` in class `PropertyDescriptor`

### getLabelProvider

    public ILabelProvider getLabelProvider()

  The `ComboBoxPropertyDescriptor` implementation of this `IPropertyDescriptor` method returns the value set by the `setProvider` method or, if no value has been set it returns a `ComboBoxLabelProvider` created from the valuesArray of this `ComboBoxPropertyDescriptor`.

  Specified by:
    `getLabelProvider` in interface `IPropertyDescriptor`
  Overrides:
    `getLabelProvider` in class `PropertyDescriptor`
  See Also:
    `PropertyDescriptor.setLabelProvider(org.eclipse.jface.viewers.ILabelProvider)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.